View Issue Details

IDProjectCategoryView StatusLast Update
0001371PluginsFARCmdspublic2010-06-01 22:53
ReporterJohnDoeAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2.0 
Summary0001371: view/edit: Безкавычное использование относительных путей с концевыми пробелами
DescriptionВсе префиксы FarCmds позволяют обходиться без кавычек, даже если путь содержит пробелы.

Например:
view:C:\Program Files\Common Files\Microsoft Shared\Windows Live\WindowsLiveLogin.dll

Однако есть случаи, когда это не работает.
Steps To ReproduceИмеется файл "c:\1 \filename"

Работает:
view:c:\1 \filename
view:"1 \filename"

Не работает:
view:1 \filename
Additional InformationПроблема не только с view/edit, но и с некоторыми другими префиксами.
TagsNo tags attached.

Activities

vskirdin

2010-05-09 16:55

administrator   bugnote:0005321

обзови каталог, отличный от "1 ", "2 " и "3 " и все заработает.

JohnDoe

2010-05-09 21:48

updater   bugnote:0005325

А чем особенны 1 и 2?
stream?
Но ведь перенаправления в командной строке нет

vskirdin

2010-05-13 14:36

administrator   bugnote:0005344

если есть возможность скомпилить плагин, то в OpenCmd.cpp замени строку
if (View||Edit||Clip)
на
if (outputtofile && (View||Edit||Clip))
и проверь...

vskirdin

2010-05-13 14:55

administrator   bugnote:0005351

build 68

JohnDoe

2010-05-17 14:20

updater   bugnote:0005379

Осталась проблемка с goto:<
goto:<dir \filename

vskirdin

2010-05-31 12:46

administrator   bugnote:0005436

а че эта конструкция должна делать?

JohnDoe

2010-05-31 17:29

updater   bugnote:0005440

Это не конструкция, а относительный путь без кавычек, то же самое что
goto:<"dir \filename"

Сейчас проверил ещё раз - всё работает и с кавычками, и без.
Т.е. можно закрывать.

Issue History

Date Modified Username Field Change
2010-05-07 17:42 JohnDoe New Issue
2010-05-09 16:55 vskirdin Note Added: 0005321
2010-05-09 21:48 JohnDoe Note Added: 0005325
2010-05-13 14:36 vskirdin Note Added: 0005344
2010-05-13 14:55 vskirdin Assigned To => vskirdin
2010-05-13 14:55 vskirdin Status new => assigned
2010-05-13 14:55 vskirdin Note Added: 0005351
2010-05-13 14:55 vskirdin Status assigned => feedback
2010-05-17 14:20 JohnDoe Note Added: 0005379
2010-05-17 14:20 JohnDoe Status feedback => assigned
2010-05-31 12:46 vskirdin Note Added: 0005436
2010-05-31 17:29 JohnDoe Note Added: 0005440
2010-05-31 17:29 JohnDoe Status assigned => resolved
2010-06-01 22:53 alexy Status resolved => closed
2010-06-01 22:53 alexy Resolution open => fixed
2010-06-01 22:53 alexy Fixed in Version => 2.0